unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, IniFiles;

type
  TSettingForm = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label3: TLabel;
    MouseMoverSizeEdit: TEdit;
    Label4: TLabel;
    MouseMoverTimeEdit: TEdit;
    Label2: TLabel;
    GroupBox2: TGroupBox;
    Label5: TLabel;
    MouseClickerTimeEdit: TEdit;
    Label6: TLabel;
    GroupBox3: TGroupBox;
    Label7: TLabel;
    KeyPresserTimeEdit: TEdit;
    Label8: TLabel;
    GroupBox4: TGroupBox;
    Label9: TLabel;
    UrlListBox: TListBox;
    Label14: TLabel;
    AddButton: TButton;
    UrlEdit: TEdit;
    DelButton: TButton;
    SaveButton: TButton;
    CancelButton: TButton;
    WebBrowserTimeEdit: TEdit;
    GroupBox5: TGroupBox;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label15: TLabel;
    MsRandomEdit: TEdit;
    PixRandomEdit: TEdit;
    SekRandomEdit: TEdit;
    ImportButton: TButton;
    Button2: TButton;
    GroupBox6: TGroupBox;
    Label16: TLabel;
    CaptionChangerTimeEdit: TEdit;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    MouseMoverLeftEdit: TEdit;
    MouseMoverTopEdit: TEdit;
    MouseMoverRightEdit: TEdit;
    MouseMoverBottomEdit: TEdit;
    Label23: TLabel;
    MouseLabel: TLabel;
    MousePosTimer: TTimer;
    GroupBox7: TGroupBox;
    Label24: TLabel;
    S4ECheckEdit: TEdit;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    S4ELeftEdit: TEdit;
    S4ERightEdit: TEdit;
    S4ETopEdit: TEdit;
    S4EBottomEdit: TEdit;
    Label31: TLabel;
    S4EFakeClickEdit: TEdit;
    Label32: TLabel;
    procedure CancelButtonClick(Sender: TObject);
    procedure UrlEditChange(Sender: TObject);
    procedure UrlListBoxClick(Sender: TObject);
    procedure SaveButtonClick(Sender: TObject);
    procedure AddButtonClick(Sender: TObject);
    procedure DelButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ImportButtonClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure MousePosTimerTimer(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  SettingForm: TSettingForm;

implementation

uses Unit1;

{$R *.DFM}

procedure TSettingForm.CancelButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TSettingForm.UrlEditChange(Sender: TObject);
begin
  if not (UrlEdit.Text = '') then AddButton.Enabled := TRUE
  else AddButton.Enabled := FALSE;
end;

procedure TSettingForm.UrlListBoxClick(Sender: TObject);
begin
  DelButton.Enabled := TRUE;
end;

procedure TSettingForm.SaveButtonClick(Sender: TObject);
var ini: TIniFile;
begin
  ini := TIniFile.Create(GetCurrentDir + '\' + 'NightWalker.ini');
  ini.WriteString('General','MsTime',MsRandomEdit.Text);
  ini.WriteString('General','PixTime',PixRandomEdit.Text);
  ini.WriteString('General','SekTime',SekRandomEdit.Text);
  ini.WriteString('MouseMover','Time',MouseMoverTimeEdit.Text);
  ini.WriteString('MouseMover','Size',MouseMoverSizeEdit.Text);
  ini.WriteString('MouseMover','Left',MouseMoverLeftEdit.Text);
  ini.WriteString('MouseMover','Right',MouseMoverRightEdit.Text);
  ini.WriteString('MouseMover','Top',MouseMoverTopEdit.Text);
  ini.WriteString('MouseMover','Bottom',MouseMoverBottomEdit.Text);
  ini.WriteString('MouseClicker','Time',MouseClickerTimeEdit.Text);
  ini.WriteString('KeyPresser','Time',KeyPresserTimeEdit.Text);
  ini.WriteString('WebBrowser','Time',WebBrowserTimeEdit.Text);
  ini.WriteString('WebBrowser','Urls',UrlListBox.Items.CommaText);
  ini.WriteString('CaptionChanger','Time',CaptionChangerTimeEdit.Text);
  ini.WriteString('Surf4Euros','Time',S4ECheckEdit.Text);
  ini.WriteString('Surf4Euros','Left',S4ELeftEdit.Text);
  ini.WriteString('Surf4Euros','Right',S4ERightEdit.Text);
  ini.WriteString('Surf4Euros','Top',S4ETopEdit.Text);
  ini.WriteString('Surf4Euros','Bottom',S4EBottomEdit.Text);
  ini.WriteString('Surf4Euros','FakeClick',S4EFakeClickEdit.Text);
  ini.free;
  MainForm.StartButton.Enabled := TRUE;
  Close;
end;

procedure TSettingForm.AddButtonClick(Sender: TObject);
begin
  UrlListBox.Items.Add(UrlEdit.Text);
  UrlEdit.Clear;
end;

procedure TSettingForm.DelButtonClick(Sender: TObject);
begin
  UrlListBox.Items.Delete(UrlListBox.ItemIndex);
  DelButton.Enabled := FALSE;
end;

procedure TSettingForm.FormShow(Sender: TObject);
var ini: TIniFile;
begin
  MousePosTimer.Enabled := TRUE;
  if FileExists('NightWalker.ini') then
  begin
    ini := TIniFile.Create(GetCurrentDir + '\' + 'NightWalker.ini');
    MouseMoverTimeEdit.Text := ini.ReadString('MouseMover','Time','0');
    MouseMoverSizeEdit.Text := ini.ReadString('MouseMover','Size','0');
    MouseMoverLeftEdit.Text := ini.ReadString('MouseMover','Left','0');
    MouseMoverRightEdit.Text := ini.ReadString('MouseMover','Right','0');
    MouseMoverTopEdit.Text := ini.ReadString('MouseMover','Top','0');
    MouseMoverBottomEdit.Text := ini.ReadString('MouseMover','Bottom','0');
    MouseClickerTimeEdit.Text := ini.ReadString('MouseClicker','Time','0');
    KeyPresserTimeEdit.Text := ini.ReadString('KeyPresser','Time','0');
    WebBrowserTimeEdit.Text := ini.ReadString('WebBrowser','Time','0');
    UrlListBox.Items.CommaText := ini.ReadString('WebBrowser','Urls','0');
    MsRandomEdit.Text := ini.ReadString('General','MsTime','0');
    PixRandomEdit.Text := ini.ReadString('General','PixTime','0');
    SekRandomEdit.Text := ini.ReadString('General','SekTime','0');
    CaptionChangerTimeEdit.Text := ini.ReadString('CaptionChanger','Time','0');
    S4ECheckEdit.Text := ini.ReadString('Surf4Euros','Time','120');
    S4ELeftEdit.Text := ini.ReadString('Surf4Euros','Left', '0');
    S4ERightEdit.Text := ini.ReadString('Surf4Euros','Right', '1024');
    S4ETopEdit.Text := ini.ReadString('Surf4Euros','Top', '0');
    S4EBottomEdit.Text := ini.ReadString('Surf4Euros','Bottom', '150');
    S4EFakeClickEdit.Text := ini.ReadString('Surf4Euros','FakeClick', '60');
    ini.free;
  end;
end;

procedure TSettingForm.Button2Click(Sender: TObject);
var ExportFile: TextFile;
    i: Integer;
begin
  AssignFile(ExportFile, 'Export.txt');
  ReWrite(ExportFile);
  for i := 0 to UrlListBox.Items.Count-1 do
    WriteLn(ExportFile, UrlListBox.Items[i]);
  CloseFile(ExportFile);
  MessageBox(0, 'Urls erfolgreich exportiert ... Dateiname: Export.txt', 'Erfolg', MB_OK or MB_ICONINFORMATION);
end;

procedure TSettingForm.ImportButtonClick(Sender: TObject);
var ImportFile: TextFile;
    tmp: String;
begin
  if MessageBox(0, 'Legen Sie eine Datei mit dem Namen: Import.txt an und Listen Sie alle Urls die Sie importieren wollen untereinander auf. Klicken Sie dann auf Ok!', 'Importieren', MB_OKCANCEL or MB_ICONINFORMATION) = IDOK then
  begin
    if not FileExists('Import.txt') then
    begin
      MessageBox(0, 'Datei: Import.txt wurde nicht gefunden!', 'Fehler', MB_OK or MB_ICONERROR);
      Exit;
    end;
    AssignFile(ImportFile, 'Import.txt');
    Reset(ImportFile);
    while not EoF(ImportFile) do
    begin
      ReadLn(ImportFile, tmp);
      if not (tmp = '') then UrlListBox.Items.Add(tmp);
    end;
    CloseFile(ImportFile);
  end;
end;

procedure TSettingForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  MousePosTimer.Enabled := FALSE;
end;

procedure TSettingForm.MousePosTimerTimer(Sender: TObject);
var P: TPoint;
begin
  GetCursorPos(P);
  MouseLabel.Caption := IntToStr(P.X) + ',' + IntToStr(P.Y);
end;

end.
